#ifndef ESCSERIALCOMM_H
#define ESCSERIALCOMM_H

#include <Arduino.h>

#define SERIAL_CONTROL_BAUD   115200       // [-] Baud rate for HoverSerial (used to communicate with the hoverboard)
#define SERIAL_BAUD         115200      // [-] Baud rate for built-in Serial (used for the Serial Monitor)
#define START_FRAME         0xABCD       // [-] Start frme definition for reliable serial communication


class ESCSerialComm
{
  public:
    ESCSerialComm(); //constructor
    void update(long millis, boolean state); //declare example function
  private:
    long _millis_lastinput; //declare private variable
};
#endif